Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.ebusiness
Class Priority

    java.lang.Object
      |
      +--com.compoze.ebusiness.Priority

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class Priority
extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

This class represents a priority. The priority values of `HIGH`, `MEDIUM`, `LOW` and `UNDEFINED` represent internal values such as 1, 5, 9 and 0 respectively. These values correspond to the iCalendar (RFC #2445) definition of priorities.

The internationalizable string values are stored in the `ebusiness_resources.properties` file (accessed through `EBusinessResources`) and referenced by their key and can be found in `j2ee_runtime.jar` at `com.compoze.ebusiness.ebusiness_resources.properties`.

See Also:
  Serialized Form

Field Summary
`static Priority` | `HIGH` This value represents the 'high' priority.
`static Priority` | `LOW` This value represents the 'low' priority.
`static Priority` | `MEDIUM` This value represents the 'medium' priority.
`static Priority` | `UNDEFINED` This value represents the 'undefined' priority.
`static int` | `VALUE_HIGH` This represents a 'high' priority.
`static int` | `VALUE_LOW` This represents a 'low' priority.
`static int` | `VALUE_MEDIUM` This represents a 'medium' priority.
`static int` | `VALUE_UNDEFINED` This represents a 'undefined' priority.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compares this priority to the specified object for ordering.
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `Priority` object is "equal to" this one.
`static Priority` | `get(int iStoreValue)` Gets the priority by its store value.
`static java.util.List` | `getList()` Gets the list of priorities.
`java.lang.String` | `getName()` Gets the name of the priority using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the priority using the specified locale.
`static java.util.List` | `getPriorities()` Deprecated. This method has been deprecated and replaced with `getList()`.
`int` | `getStoreValue()` Gets the value that's used to store the busy status in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_HIGH

    public static final int VALUE_HIGH

  This represents a 'high' priority.

### VALUE_MEDIUM

    public static final int VALUE_MEDIUM

  This represents a 'medium' priority.

### VALUE_LOW

    public static final int VALUE_LOW

  This represents a 'low' priority.

### VALUE_UNDEFINED

    public static final int VALUE_UNDEFINED

  This represents a 'undefined' priority.

### HIGH

    public static final Priority HIGH

  This value represents the 'high' priority.

### MEDIUM

    public static final Priority MEDIUM

  This value represents the 'medium' priority.

### LOW

    public static final Priority LOW

  This value represents the 'low' priority.

### UNDEFINED

    public static final Priority UNDEFINED

  This value represents the 'undefined' priority.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the priority using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the priority using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the busy status in the storage system.
  Returns:
    the store value

### get

    public static Priority get(int iStoreValue)

  Gets the priority by its store value.
  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching priority or `null` if not found

### getPriorities

    public static java.util.List getPriorities()

  Deprecated. This method has been deprecated and replaced with `getList()`.

  Gets the list of priorities.
  Returns:
    the list of `Priority` objects (unmodifiable)

### getList

    public static java.util.List getList()

  Gets the list of priorities.
  Returns:
    the list of `Priority` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `Priority` object is "equal to" this one.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check (must be a `Priority`)
  Returns:
    `true` if this object has the same value as the argument, `false` otherwise

### compareTo

    public int compareTo(java.lang.Object o)

  Compares this priority to the specified object for ordering.
  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - the object to be compared (must be a `Priority`)
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.